﻿@model Tuple<List<ARGNSRangePlanView>, RangePlanCombo>
@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PLMRangePlan.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PLMRangePlan.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@RangePlan.RangePlanList</h3>
    </div>

    <div class="panel-body">
        <div class="table-responsive" id="demo">
            <table cellpadding="0" cellspacing="0" border="0" class="table table-striped" id="example">
                <thead>
                    <tr>
                        <th>@PDM.Code</th>
                        <th>@PDM.Desc</th>
                        <th>@PDM.Season</th>
                        <th>@PDM.Coll</th>
                        <th>@RangePlan.Employee</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ARGNSRangePlanView item in Model.Item1)
                    {
                        ARGNS.Model.Implementations.PDM.ComboList.ARGNSSeason seasonAux = Model.Item2.ListSeason.Where(c => c.Code == item.U_Season).FirstOrDefault();
                        ARGNSCollection collectionAux = Model.Item2.ListCollection.Where(c => c.U_CollCode == item.U_Coll).FirstOrDefault();
                        var employeeAux = Model.Item2.ListEmployee.Where(c => c.empID.ToString() == item.U_RPEmpl).FirstOrDefault();
                        <tr>
                            <td>
                                @item.Code
                            </td>
                            <td>@item.U_RangeDesc</td>
                            <td>@((item.U_Season != null && item.U_Season != "") ? (seasonAux != null ? seasonAux.Name : "") : "")</td>
                            <td>@((item.U_Coll != null && item.U_Coll != "") ? (collectionAux != null ? collectionAux.Name : "") : "")</td>
                            <td>@((item.U_RPEmpl != null && item.U_RPEmpl != "") ? (employeeAux != null ? employeeAux.completeName : "") : "")</td>
                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ActionRangePlan", "RangePlan", new { @ActionRangePlan = "Update", @pRangePlanCode = item.Code})' target="_blank" class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.Edit
                                    </a>
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>

<script type="text/javascript" charset="utf-8">
    $(document).ready(function () {
       // $('#example').dataTable().columnFilter();

        $('#example').DataTable({
            searching: false,
            paging: false,
            dom: 'Bfrtip',
            buttons: [
               'copy', 'csv', 'excel', 'pdf', 'print'
            ]
        });

     
    });
</script>
